Description

I think we should add a category of orange for miscellaneous literature records such as journal articles.

What then, would be the best way to access the literature record behind a record -- a more complete response when one clicks on a
county. Some access to this information needs to be provided as part of the fix of this bug.

History

#1 - 12/14/2006 11:03 PM - Robert Peet

Also need a tool for administrators to add this information.
#2 - 02/11/2007 08:40 PM - Robert Peet
We need for orange and green check boxes by the maps, a generic category for the many possible small but important literature sources.

We also need a mechanism (on the admin panel) for adding county records from literature, aong with teh conept applied and the quality (color) of the
record.

Literature sources will be seen when a county is clicked, and the ref_simple display should be able to be clicked for the ref_full display.

For the present we will not parse literature into component pieces, but instead will use only ref_simple and ref_full. Possibly we could include a place
for a DOI for direct linkage to a reference.

Literature souirces for county records will be expected to each have their own concept authorities. That is, we cannot simply say nominal or Kartesz
or Weakley, but need to be able to assign a different reference for each county record. Because we could have hundreds of authorites, the current
system of assigning authority perspectives may need to be rethought.

| think it would be valuable to add a download function where you can obtain all the county record data for a taxon as a spreadsheet that includes
county, taxon concept, relationship to accepted concept, source of record, and quality (color) of record.

#3 - 03/15/2007 07:59 PM - xianhua liu

Yes, this is big operation. Many aspects need to be changed since current system has been designed under an situation where the data source
determines the concept authority. To move current system to cope with individual literature record associated with individual concept, the main tasks
include:

1. Add table to store concept authority data, and import current authorities into the new table. (done)

2. Change relationship table to make the concept authority point to the new authority table as foreign key. (done)

3. Change server-side java classes to query against the new data schema. (partialy done)

4. Change client-side javascript pages to reflect the backend changes. (partialy done)

After finishing above tasks, | will go on to implement the functions to support literature records. The main steps will include:

1. Add tables in the database to hold literatures and literature records

2. Add server-side java classes to support querying functions

3. Change client-side javascripts codes to query and view literature data

4. Implement admin interface and functions to support data editing for literatures and literature records.

Xianhua

#4 - 09/08/2007 12:39 PM - Robert Peet

My impression is that this bug is now complete on the test server and needs only mingration to the production server. Is this correct?
#5 - 03/27/2013 02:20 PM - Redmine Admin
Original Bugzilla ID was 2684
